Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfAttributes

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfAttributes

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  FOPRtfAttributes

    public class RtfAttributes

extends java.lang.Object
implements java.lang.Cloneable

Attributes for RtfText.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

Constructor Summary
`RtfAttributes()`

Method Summary
`void` | `addIntegerValue(int addValue, java.lang.String name)` Add integer value `addValue` to attribute with name `name`.
`java.lang.Object` | `clone()`
`java.lang.Object` | `getValue(java.lang.String name)`
`java.lang.Integer` | `getValueAsInteger(java.lang.String name)` Returns a value as an Integer.
`org.xml.sax.Attributes` | `getXslAttributes()` Added by Normand Masse Used for attribute inheritance
`boolean` | `isSet(java.lang.String name)`
`java.util.Iterator` | `nameIterator()`
`RtfAttributes` | `set(RtfAttributes attrs)` Set attributes from another attributes object
`RtfAttributes` | `set(java.lang.String name)` set an attribute that has no value.
`RtfAttributes` | `set(java.lang.String name, int value)` Set an attribute that has an integer value
`RtfAttributes` | `set(java.lang.String name, RtfAttributes value)` Set an attribute that has nested attributes as value
`RtfAttributes` | `set(java.lang.String name, java.lang.String type)` Set an attribute that has a String value
`void` | `setXslAttributes(org.xml.sax.Attributes pAttribs)` Added by Normand Masse Used for attribute inheritance
`java.lang.String` | `toString()` debugging log
`RtfAttributes` | `unset(java.lang.String name)` unset an attribute that has no value

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RtfAttributes

    public RtfAttributes()

Method Detail

### set

    public RtfAttributes set(RtfAttributes attrs)

  Set attributes from another attributes object

  Parameters:
    `attrs` - RtfAttributes object whose elements will be copied into this instance
  Returns:
    this object, for chaining calls

### set

    public RtfAttributes set(java.lang.String name)

  set an attribute that has no value.

  Parameters:
    `name` - name of attribute to set
  Returns:
    this object, for chaining calls

### unset

    public RtfAttributes unset(java.lang.String name)

  unset an attribute that has no value

  Parameters:
    `name` - name of attribute to unset
  Returns:
    this object, for chaining calls

### toString

    public java.lang.String toString()

  debugging log

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String representation of object

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### set

    public RtfAttributes set(java.lang.String name,
                             int value)

  Set an attribute that has an integer value

  Parameters:
    `name` - name of attribute
    `value` - value of attribute
  Returns:
    this (which now contains the new entry), for chaining calls

### set

    public RtfAttributes set(java.lang.String name,
                             java.lang.String type)

  Set an attribute that has a String value

  Parameters:
    `name` - name of attribute
    `type` - value of attribute
  Returns:
    this (which now contains the new entry)

### set

    public RtfAttributes set(java.lang.String name,
                             RtfAttributes value)

  Set an attribute that has nested attributes as value

  Parameters:
    `name` - name of attribute
    `value` - value of the nested attributes
  Returns:
    this (which now contains the new entry)

### getValue

    public java.lang.Object getValue(java.lang.String name)

  Parameters:
    `name` - String containing attribute name
  Returns:
    the value of an attribute, null if not found

### getValueAsInteger

    public java.lang.Integer getValueAsInteger(java.lang.String name)

  Returns a value as an Integer. The value is simply cast to an Integer.

  Parameters:
    `name` - String containing attribute name
  Returns:
    the value of an attribute, null if not found

### isSet

    public boolean isSet(java.lang.String name)

  Parameters:
    `name` - String containing attribute name
  Returns:
    true if given attribute is set

### nameIterator

    public java.util.Iterator nameIterator()

  Returns:
    an Iterator on all names that are set

### getXslAttributes

    public org.xml.sax.Attributes getXslAttributes()

  Added by Normand Masse Used for attribute inheritance

  Returns:
    Attributes

### setXslAttributes

    public void setXslAttributes(org.xml.sax.Attributes pAttribs)

  Added by Normand Masse Used for attribute inheritance

  Parameters:
    `pAttribs` - attributes

### addIntegerValue

    public void addIntegerValue(int addValue,
                                java.lang.String name)

  Add integer value `addValue` to attribute with name `name`. If there is no such setted attribute, then value of this attribure is equal to `addValue`.

  Parameters:
    `addValue` - the increment of value
    `name` - the name of attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.